=== debian/changelog ===
tuareg-mode (1:3.0.1-3) unstable; urgency=medium

  * Rebuild against newer dh-elpa (Closes: #1077130)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2024 07:53:14 +0200

tuareg-mode (1:3.0.1-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Remove Samuel from Uploaders
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + elpa-tuareg: Drop versioned constraint on emacs in Recommends.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 10:15:13 +0200

tuareg-mode (1:3.0.1-1) unstable; urgency=medium

  * New upstream version
  * Refresh patch ocaml-path
  * Standards-version 4.6.2 (no change)
  * Drop transitional package tuareg-mode (closes: #1038321)
  * Add a file "activate-tuareg-mode" that a user can load to automatically
    use tuareg mode on OCaml files, and describe this in README.Debian.
  * Rephrase the package description.

 -- Ralf Treinen <treinen@debian.org>  Sat, 15 Jul 2023 16:25:07 +0200
