=== debian/control ===
Source: tuareg-mode
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/tuareg-mode
Vcs-Git: https://salsa.debian.org/ocaml-team/tuareg-mode.git
Homepage: https://github.com/ocaml/tuareg
Testsuite: autopkgtest-pkg-elpa

Package: elpa-tuareg
Architecture: all
Depends: ${elpa:Depends},
 ${misc:Depends}
Recommends: emacs,
 ocaml-interp,
 elpa-caml
Enhances: ocaml-interp,
 emacs
Breaks: tuareg-mode (<< 1:2.1.0-3)
Replaces: tuareg-mode (<< 1:2.1.0-3)
Description: emacs-mode for OCaml programs
 OCaml (Objective Caml) is a programming language featuring functional
 programming, mutable data structures, algebraic data types, and type
 inference.
 .
 This package provides tuareg-mode for editing OCaml programs with
 Emacs and XEmacs. It also works on Caml Light, the predecessor
 language of OCaml.
 .
 Tuareg handles automatic indentation of Objective Caml and Caml-Light
 code.  Key parts of the code are highlighted using Font-Lock. It
 provides support to run an interactive OCaml toplevel and debugger.
 .
 Another popular emacs mode for editing OCaml files is caml-mode,
 available through the elpa-caml package.  Tuareg attempts to give
 better results than caml-mode. Indentation rules are slightly
 different but closer to classical functional languages
 indentation. Tuareg gives access to some functionalities from
 caml-mode.
