=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with elpa

override_dh_auto_install:
	@echo Using dh-elpa for build/install instead of upstream Makefile
