=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tuareg-$1\.tar\.gz/ \
  https://github.com/ocaml/tuareg/tags .*/v?(\d\S*)\.tar\.gz
